Package org.opengis.cite.iso19142

# Class WFS2

java.lang.Object
org.opengis.cite.iso19142.WFS2

public class WFS2 extends Object
Contains various constants pertaining to WFS 2.0 service interfaces as specified in ISO 19142:2010 and related standards.

See Also:
  - "ISO 19142:2010, Geographic information -- Web Feature Service"

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `WFS2.Transaction`
  The action embodied by a transaction.
  `static enum`
  `WFS2.VersionState`
  VersionState indicates the state of a feature version.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APPLICATION_SOAP`
  Media type for SOAP 1.2 message envelopes (RFC 3902).
  `static final String`
  `BASIC_WFS`
  Service constraint corresponding to the 'Basic WFS' conformance class.
  `static final String`
  `COUNT_PARAM`
  `static final String`
  `CREATE_STORED_QRY`
  CreateStoredQuery request.
  `static final String`
  `DELETE`
  Delete element (Transaction).
  `static final String`
  `DESC_STORED_QUERIES`
  `static final String`
  `DESCRIBE_FEATURE_TYPE`
  `static final String`
  `DROP_STORED_QRY`
  DropStoredQuery request.
  `static final String`
  `EPSG_4326`
  CRS: EPSG 4326 (see cl. 7.9.2.4.4)
  `static final String`
  `FEATURE_COLLECTION`
  FeatureCollection element.
  `static final String`
  `GET_CAPABILITIES`
  `static final String`
  `GET_FEATURE`
  `static final String`
  `GET_FEATURE_WITH_LOCK`
  GetFeatureWithLock request element.
  `static final String`
  `GET_PROP_VALUE`
  `static final String`
  `ID_PARAM`
  `static final String`
  `INSERT`
  Insert element (Transaction).
  `static final String`
  `KVP_ENC`
  Service constraint indicating support for HTTP GET method bindings.
  `static final String`
  `LIST_STORED_QUERIES`
  `static final String`
  `LOCK_FEATURE`
  LockFeature request element.
  `static final String`
  `LOCK_FEATURE_RSP`
  LockFeature response element.
  `static final String`
  `LOCKING_WFS`
  Service constraint corresponding to the 'Locking WFS' conformance class.
  `static final String`
  `MEMBER`
  member element.
  `static final String`
  `NAMESPACES_PARAM`
  `static final String`
  `NATIVE`
  Native element (Transaction).
  `static final String`
  `NS_URI`
  `static final String`
  `PARAM_ELEM`
  Local name of Parameter element in a StoredQuery.
  `static final QName`
  `QNAME_WFS_CAPABILITIES`
  Qualified name of document element in WFS capabilities document.
  `static final String`
  `QRY_GET_FEATURE_BY_ID`
  Stored query identifier: GetFeatureById
  `static final String`
  `QRY_GET_FEATURE_BY_ID_URN`
  Stored query identifier: GetFeatureById (deprecated in v2.0.2
  `static final String`
  `QUERY_ELEM`
  Local name of ad hoc Query element.
  `static final String`
  `REPLACE`
  Replace element (Transaction).
  `static final String`
  `REQUEST_PARAM`
  `static final String`
  `SCHEMA_URI`
  `static final String`
  `SERVICE_PARAM`
  `static final String`
  `SERVICE_TYPE_CODE`
  `static final String`
  `SOAP_ENC`
  Service constraint indicating support for SOAP message bindings.
  `static final String`
  `SOAP_VERSION`
  `static final String`
  `SOAP_VERSION_1_2`
  `static final String`
  `SRSNAME_PARAM`
  `static final String`
  `START_INDEX_PARAM`
  `static final String`
  `STORED_QRY_ELEM`
  Local name of StoredQuery element.
  `static final String`
  `STORED_QRY_ID_ELEM`
  Local name of StoredQueryId element.
  `static final String`
  `STOREDQUERY_ID_PARAM`
  `static final String`
  `TOTAL_DEL`
  TransactionSummary/totalDeleted element.
  `static final String`
  `TOTAL_INS`
  TransactionSummary/totalInserted element.
  `static final String`
  `TOTAL_REPL`
  TransactionSummary/totalReplaced element.
  `static final String`
  `TOTAL_UPD`
  TransactionSummary/totalUpdated element.
  `static final String`
  `TRANSACTION`
  Transaction element.
  `static final String`
  `TRANSACTION_RSP`
  TransactionResponse element.
  `static final String`
  `TRANSACTION_SUMMARY`
  TransactionResponse/TransactionSummary element.
  `static final String`
  `TRX_WFS`
  Service constraint for 'Transactional WFS' conformance class.
  `static final String`
  `TYPENAME_ELEM`
  Local name of TypeName element in DescribeFeatureType.
  `static final String`
  `TYPENAMES_PARAM`
  `static final String`
  `UPDATE`
  Update element (Transaction).
  `static final String`
  `V2_0_0`
  `static final String`
  `VALUE_COLLECTION`
  ValueCollection element.
  `static final String`
  `VERSION`
  `static final String`
  `VERSION_PARAM`
  `static final String`
  `WFS_CAPABILITIES`
  Local name of document element in WFS capabilities document.
  `static final String`
  `XML_ENC`
  Service constraint indicating support for HTTP POST method bindings.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NS_URI

    public static final String NS_URI
    See Also:
      - Constant Field Values

  - ### SCHEMA_URI

    public static final String SCHEMA_URI
    See Also:
      - Constant Field Values

  - ### SERVICE_TYPE_CODE

    public static final String SERVICE_TYPE_CODE
    See Also:
      - Constant Field Values

  - ### VERSION

    public static final String VERSION
    See Also:
      - Constant Field Values

  - ### V2_0_0

    public static final String V2_0_0
    See Also:
      - Constant Field Values

  - ### GET_CAPABILITIES

    public static final String GET_CAPABILITIES
    See Also:
      - Constant Field Values

  - ### DESCRIBE_FEATURE_TYPE

    public static final String DESCRIBE_FEATURE_TYPE
    See Also:
      - Constant Field Values

  - ### LIST_STORED_QUERIES

    public static final String LIST_STORED_QUERIES
    See Also:
      - Constant Field Values

  - ### DESC_STORED_QUERIES

    public static final String DESC_STORED_QUERIES
    See Also:
      - Constant Field Values

  - ### GET_FEATURE

    public static final String GET_FEATURE
    See Also:
      - Constant Field Values

  - ### GET_PROP_VALUE

    public static final String GET_PROP_VALUE
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM

    public static final String REQUEST_PARAM
    See Also:
      - Constant Field Values

  - ### SERVICE_PARAM

    public static final String SERVICE_PARAM
    See Also:
      - Constant Field Values

  - ### VERSION_PARAM

    public static final String VERSION_PARAM
    See Also:
      - Constant Field Values

  - ### TYPENAMES_PARAM

    public static final String TYPENAMES_PARAM
    See Also:
      - Constant Field Values

  - ### NAMESPACES_PARAM

    public static final String NAMESPACES_PARAM
    See Also:
      - Constant Field Values

  - ### STOREDQUERY_ID_PARAM

    public static final String STOREDQUERY_ID_PARAM
    See Also:
      - Constant Field Values

  - ### ID_PARAM

    public static final String ID_PARAM
    See Also:
      - Constant Field Values

  - ### START_INDEX_PARAM

    public static final String START_INDEX_PARAM
    See Also:
      - Constant Field Values

  - ### COUNT_PARAM

    public static final String COUNT_PARAM
    See Also:
      - Constant Field Values

  - ### SRSNAME_PARAM

    public static final String SRSNAME_PARAM
    See Also:
      - Constant Field Values

  - ### QRY_GET_FEATURE_BY_ID

    public static final String QRY_GET_FEATURE_BY_ID
    Stored query identifier: GetFeatureById
    See Also:
      - Constant Field Values

  - ### QRY_GET_FEATURE_BY_ID_URN

    public static final String QRY_GET_FEATURE_BY_ID_URN
    Stored query identifier: GetFeatureById (deprecated in v2.0.2
    See Also:
      - Constant Field Values

  - ### KVP_ENC

    public static final String KVP_ENC
    Service constraint indicating support for HTTP GET method bindings.
    See Also:
      - Constant Field Values

  - ### XML_ENC

    public static final String XML_ENC
    Service constraint indicating support for HTTP POST method bindings.
    See Also:
      - Constant Field Values

  - ### SOAP_ENC

    public static final String SOAP_ENC
    Service constraint indicating support for SOAP message bindings.
    See Also:
      - Constant Field Values

  - ### SOAP_VERSION

    public static final String SOAP_VERSION
    See Also:
      - Constant Field Values

  - ### SOAP_VERSION_1_2

    public static final String SOAP_VERSION_1_2
    See Also:
      - Constant Field Values

  - ### WFS_CAPABILITIES

    public static final String WFS_CAPABILITIES
    Local name of document element in WFS capabilities document.
    See Also:
      - Constant Field Values

  - ### QNAME_WFS_CAPABILITIES

    public static final QName QNAME_WFS_CAPABILITIES
    Qualified name of document element in WFS capabilities document.

  - ### QUERY_ELEM

    public static final String QUERY_ELEM
    Local name of ad hoc Query element.
    See Also:
      - Constant Field Values

  - ### STORED_QRY_ELEM

    public static final String STORED_QRY_ELEM
    Local name of StoredQuery element.
    See Also:
      - Constant Field Values

  - ### STORED_QRY_ID_ELEM

    public static final String STORED_QRY_ID_ELEM
    Local name of StoredQueryId element.
    See Also:
      - Constant Field Values

  - ### PARAM_ELEM

    public static final String PARAM_ELEM
    Local name of Parameter element in a StoredQuery.
    See Also:
      - Constant Field Values

  - ### TYPENAME_ELEM

    public static final String TYPENAME_ELEM
    Local name of TypeName element in DescribeFeatureType.
    See Also:
      - Constant Field Values

  - ### VALUE_COLLECTION

    public static final String VALUE_COLLECTION
    ValueCollection element.
    See Also:
      - Constant Field Values

  - ### FEATURE_COLLECTION

    public static final String FEATURE_COLLECTION
    FeatureCollection element.
    See Also:
      - Constant Field Values

  - ### MEMBER

    public static final String MEMBER
    member element.
    See Also:
      - Constant Field Values

  - ### TRANSACTION

    public static final String TRANSACTION
    Transaction element.
    See Also:
      - Constant Field Values

  - ### UPDATE

    public static final String UPDATE
    Update element (Transaction).
    See Also:
      - Constant Field Values

  - ### INSERT

    public static final String INSERT
    Insert element (Transaction).
    See Also:
      - Constant Field Values

  - ### DELETE

    public static final String DELETE
    Delete element (Transaction).
    See Also:
      - Constant Field Values

  - ### REPLACE

    public static final String REPLACE
    Replace element (Transaction).
    See Also:
      - Constant Field Values

  - ### NATIVE

    public static final String NATIVE
    Native element (Transaction).
    See Also:
      - Constant Field Values

  - ### TRANSACTION_RSP

    public static final String TRANSACTION_RSP
    TransactionResponse element.
    See Also:
      - Constant Field Values

  - ### TRANSACTION_SUMMARY

    public static final String TRANSACTION_SUMMARY
    TransactionResponse/TransactionSummary element.
    See Also:
      - Constant Field Values

  - ### TOTAL_INS

    public static final String TOTAL_INS
    TransactionSummary/totalInserted element.
    See Also:
      - Constant Field Values

  - ### TOTAL_REPL

    public static final String TOTAL_REPL
    TransactionSummary/totalReplaced element.
    See Also:
      - Constant Field Values

  - ### TOTAL_UPD

    public static final String TOTAL_UPD
    TransactionSummary/totalUpdated element.
    See Also:
      - Constant Field Values

  - ### TOTAL_DEL

    public static final String TOTAL_DEL
    TransactionSummary/totalDeleted element.
    See Also:
      - Constant Field Values

  - ### APPLICATION_SOAP

    public static final String APPLICATION_SOAP
    Media type for SOAP 1.2 message envelopes (RFC 3902).
    See Also:
      - Constant Field Values

  - ### BASIC_WFS

    public static final String BASIC_WFS
    Service constraint corresponding to the 'Basic WFS' conformance class.
    See Also:
      - Constant Field Values

  - ### LOCKING_WFS

    public static final String LOCKING_WFS
    Service constraint corresponding to the 'Locking WFS' conformance class.
    See Also:
      - Constant Field Values

  - ### LOCK_FEATURE

    public static final String LOCK_FEATURE
    LockFeature request element.
    See Also:
      - Constant Field Values

  - ### LOCK_FEATURE_RSP

    public static final String LOCK_FEATURE_RSP
    LockFeature response element.
    See Also:
      - Constant Field Values

  - ### GET_FEATURE_WITH_LOCK

    public static final String GET_FEATURE_WITH_LOCK
    GetFeatureWithLock request element.
    See Also:
      - Constant Field Values

  - ### EPSG_4326

    public static final String EPSG_4326
    CRS: EPSG 4326 (see cl. 7.9.2.4.4)
    See Also:
      - Constant Field Values

  - ### TRX_WFS

    public static final String TRX_WFS
    Service constraint for 'Transactional WFS' conformance class.
    See Also:
      - Constant Field Values

  - ### CREATE_STORED_QRY

    public static final String CREATE_STORED_QRY
    CreateStoredQuery request.
    See Also:
      - Constant Field Values

  - ### DROP_STORED_QRY

    public static final String DROP_STORED_QRY
    DropStoredQuery request.
    See Also:
      - Constant Field Values